'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

var Content = function Content() {
  return /*#__PURE__*/React__default['default'].createElement("div", null, "content");
};

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty__default['default'](target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var li = {
  msoLineHeightRule: 'exactly',
  msTextSizeAdjust: '100%',
  WebkitTextSizeAdjust: '100%'
};
var p = _objectSpread(_objectSpread({
  lineHeight: '125%',
  margin: '10px 0',
  padding: '0'
}, li), {}, {
  color: '#111111',
  fontFamily: '"Source Sans Pro", "Helvetica Neue", Helvetica, Arial, sans-serif',
  fontSize: '18px',
  textAlign: 'left'
});
var a = _objectSpread(_objectSpread({}, li), {}, {
  fontWeight: 'bold',
  textDecoration: 'underline'
});
var div = {
  textAlign: 'justify'
};
var strong = {
  fontWeight: 'bolder',
  fontSize: '18px'
};

var config$1 = {
  link1: 'https://hackernoon.com/signup?ref=noonifications.tech',
  link2: 'https://app.hackernoon.com/subscriptions?ref=noonifications.tech',
  link3: 'https://app.hackernoon.com/new?ref=noonifications.tech',
  link4: 'https://sponsor.hackernoon.com/brand-as-author?ref=noonifications.tech',
  link5: 'https://hackernoon.com/?ref=noonifications.tech'
};

var CtaList = function CtaList() {
  return /*#__PURE__*/React__default['default'].createElement("div", {
    dir: "ltr",
    style: div
  }, /*#__PURE__*/React__default['default'].createElement("strong", {
    style: strong
  }, "Ready to Claim Your Internet Name on Hacker Noon?"), /*#__PURE__*/React__default['default'].createElement("ol", null, /*#__PURE__*/React__default['default'].createElement("li", {
    dir: "ltr",
    style: li
  }, /*#__PURE__*/React__default['default'].createElement("p", {
    dir: "ltr",
    role: "presentation",
    style: p
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: config$1.link1,
    target: "_blank",
    style: a
  }, "Create a free account"), ".")), /*#__PURE__*/React__default['default'].createElement("li", {
    dir: "ltr",
    style: li
  }, /*#__PURE__*/React__default['default'].createElement("p", {
    dir: "ltr",
    role: "presentation",
    style: p
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: config$1.link2,
    target: "_blank",
    style: a
  }, "Tell us what you want to read about"), ".")), /*#__PURE__*/React__default['default'].createElement("li", {
    dir: "ltr",
    style: li
  }, /*#__PURE__*/React__default['default'].createElement("p", {
    dir: "ltr",
    role: "presentation",
    style: p
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: config$1.link3,
    target: "_blank",
    style: a
  }, "Submit your own tech stories"), ". ")), /*#__PURE__*/React__default['default'].createElement("li", {
    dir: "ltr",
    style: li
  }, /*#__PURE__*/React__default['default'].createElement("p", {
    dir: "ltr",
    role: "presentation",
    style: p
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: config$1.link4,
    target: "_blank",
    style: a
  }, "Gain Access to Brand-As-Author"), "\u2122 Program. ")), /*#__PURE__*/React__default['default'].createElement("li", {
    dir: "ltr",
    style: li
  }, /*#__PURE__*/React__default['default'].createElement("p", {
    dir: "ltr",
    role: "presentation",
    style: p
  }, "Get Your Tech Stories Featured on the ", /*#__PURE__*/React__default['default'].createElement("a", {
    href: config$1.link5,
    target: "_blank",
    style: a
  }, "Homepage of Hacker Noon"), "."))));
};

var Table = function Table(_ref) {
  var className = _ref.className,
      children = _ref.children,
      style = _ref.style,
      width = _ref.width,
      align = _ref.align;
  return /*#__PURE__*/React__default['default'].createElement("table", {
    align: align,
    className: className,
    border: 0,
    cellPadding: 0,
    cellSpacing: 0,
    style: style,
    width: width
  }, children);
};

var styles$6 = {
  dividerBlock: {
    minWidth: '100%',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    tableLayout: 'fixed !important'
  },
  dividerBlockInner: {
    minWidth: '100%',
    padding: '12px 18px',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  dividerContent: {
    minWidth: '100%',
    borderTop: '2px none #eaeaea',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  td: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  }
};

var Divider = function Divider(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnDividerBlock",
    style: styles$6.dividerBlock
  }, /*#__PURE__*/React__default['default'].createElement("tbody", {
    className: "mcnDividerBlockOuter"
  }, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    className: "mcnDividerBlockInner",
    style: styles$6.dividerBlockInner
  }, /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnDividerContent",
    width: "100%",
    style: styles$6.dividerContent
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    style: styles$6.td,
    "data-testid": "dividerChildrenTest"
  }, children))))))));
};

var EmptySection = function EmptySection(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement("div", null, children);
};

var styles$5 = {
  div: {
    textAlign: 'justify'
  },
  span1: {
    fontSize: '16px'
  },
  span2: {
    fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
  },
  a: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    fontWeight: 'bold',
    textDecoration: 'underline',
    color: '#111111'
  }
};

var link1 = "https://hackernoon.com/signup";
var link2 = "https://publish.hackernoon.com/";

var GetPublished = function GetPublished() {
  return /*#__PURE__*/React__default['default'].createElement("div", {
    dir: "ltr",
    style: styles$5.div
  }, /*#__PURE__*/React__default['default'].createElement("span", {
    style: styles$5.span1
  }, /*#__PURE__*/React__default['default'].createElement("span", {
    style: styles$5.span2
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: link1,
    style: styles$5.a,
    target: "_blank"
  }, "Got a tech story to share with our readers?"), " Everything you've ever wanted to know about how to get published on Hacker Noon - ", /*#__PURE__*/React__default['default'].createElement("a", {
    href: link2,
    style: styles$5.a,
    target: "_blank"
  }, "get it here"), ".")));
};

var HeadLine = function HeadLine(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement("div", null, children);
};

var styles$4 = {
  div: {
    textAlign: 'justify'
  },
  span1: {
    fontSize: '16px'
  },
  span2: {
    fontFamily: 'trebuchet ms,lucida grande,lucida sans unicode,lucida sans,tahoma,sans-serif'
  },
  a: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    fontWeight: 'bold',
    textDecoration: 'underline',
    color: '#111111'
  }
};

var link = "https://hackernoon.com/the-decentralized-internet-writing-contest-fq1i35t4";

var JoinUs = function JoinUs() {
  return /*#__PURE__*/React__default['default'].createElement("div", {
    dir: "ltr",
    style: styles$4.div
  }, /*#__PURE__*/React__default['default'].createElement("span", {
    style: styles$4.span1
  }, /*#__PURE__*/React__default['default'].createElement("span", {
    style: styles$4.span2
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: link,
    style: styles$4.a,
    target: "_blank"
  }, "\"Join our writing contest and get a chance to win cool prizes\"."))));
};

var styles$3 = {
  imageBlock: {
    minWidth: '100%',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageBlockInner: {
    padding: '9px',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageContentContainer: {
    minWidth: '100%',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageContent: {
    paddingRight: '9px',
    paddingLeft: '9px',
    paddingTop: 0,
    paddingBottom: 0,
    textAlign: 'center',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  title: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  img: {
    maxWidth: '15426px',
    paddingBottom: 0,
    display: 'inline !important',
    verticalAlign: 'bottom',
    border: 0,
    height: 'auto',
    outline: 'none',
    textDecoration: 'none',
    msInterpolationMode: 'bicubic'
  }
};

var config = {
  link: 'https://www.hackernoon.com',
  imgLink: 'https://creative-images-upld.s3.amazonaws.com/creative/newsletters/logos/brand/hackernoon.png'
};

var Logo = function Logo() {
  return /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnImageBlock",
    style: styles$3.imageBlock
  }, /*#__PURE__*/React__default['default'].createElement("tbody", {
    className: "mcnImageBlockOuter"
  }, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    valign: "top",
    style: styles$3.imageContentContainer,
    className: "mcnImageBlockInner"
  }, /*#__PURE__*/React__default['default'].createElement(Table, {
    align: "left",
    className: "mcnImageContentContainer",
    style: styles$3.imageContentContainer
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    className: "mcnImageContent",
    valign: "top",
    style: styles$3.imageContent
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: config.link,
    title: "",
    className: "",
    target: "_blank",
    style: styles$3.title
  }, /*#__PURE__*/React__default['default'].createElement("img", {
    align: "center",
    alt: "",
    src: config.imgLink,
    width: 600,
    style: styles$3.img,
    className: "mcnImage"
  }))))))))));
};

var styles$2 = {
  previewText: {
    display: 'none',
    fontSize: '0px',
    lineHeight: '0px',
    maxHeight: '0px',
    maxWidth: '0px',
    opacity: 0,
    overflow: 'hidden',
    visibility: 'hidden',
    msoHide: 'all'
  }
};

var PreviewText = function PreviewText(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement("span", {
    className: "mcnPreviewText",
    style: styles$2.previewText
  }, children);
};

var styles$1 = {
  textBlock: {
    minWidth: '100%',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  textBlockInner: {
    paddingTop: '9px',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  textContentContainer: {
    maxWidth: '100%',
    minWidth: '100%',
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  textContent: {
    padding: '0px 18px 9px',
    lineHeight: '150%',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    wordBreak: 'break-word',
    color: '#111111',
    fontFamily: '"Source Sans Pro","Helvetica Neue", Helvetica, Arial,sans-serif',
    fontSize: '18px',
    textAlign: 'left'
  }
};

var Section = function Section(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnTextBlock",
    style: styles$1.textBlock
  }, /*#__PURE__*/React__default['default'].createElement("tbody", {
    className: "mcnTextBlockOuter"
  }, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    valign: "top",
    className: "mcnTextBlockInner",
    style: styles$1.textBlockInner
  }, /*#__PURE__*/React__default['default'].createElement(Table, {
    align: "left",
    style: styles$1.textContentContainer,
    className: "mcnTextContentContainer"
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    valign: "top",
    className: "mcnTextContent",
    label: "sectionPropsChildren",
    "data-testid": "sectionPropsChildren",
    style: styles$1.textContent
  }, children))))))));
};

var styles = {
  imageCardRightContentOuter: {
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageCardRightContentInner: {
    padding: 0,
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageCardRightContentContainer: {
    borderCollapse: 'collapse',
    msoTableLspace: '0pt',
    msoTableRspace: '0pt',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  imageCardRightContent: {
    paddingTop: '18px',
    paddingRight: 0,
    paddingBottom: '18px',
    paddingLeft: '18px',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  title: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%'
  },
  image: {
    maxWidth: '150px',
    borderRadius: '0%',
    border: 0,
    height: 'auto',
    outline: 'none',
    textDecoration: 'none',
    msInterpolationMode: 'bicubic',
    verticalAlign: 'bottom'
  },
  textContent: {
    paddingRight: '18px',
    paddingTop: '18px',
    paddingBottom: '18px',
    color: '#f2f2f2',
    fontFamily: 'Helvetica',
    fontSize: '14px',
    fontWeight: 'normal',
    textAlign: 'center',
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    wordBreak: 'break-word',
    lineHeight: '150%'
  },
  docTitle: {
    textAlign: 'center',
    display: 'block',
    margin: 0,
    padding: 0,
    color: '#111111',
    fontFamily: '"Merriweather Sans", "Helvetica Neue",Helvetica, Arial, sans-serif',
    fontSize: '26px',
    fontStyle: 'normal',
    fontWeight: 'bold',
    lineHeight: '125%',
    letterSpacing: 'normal'
  },
  link: {
    msoLineHeightRule: 'exactly',
    msTextSizeAdjust: '100%',
    WebkitTextSizeAdjust: '100%',
    color: '#111111',
    fontWeight: 'bold',
    textDecoration: 'underline'
  }
};

var Sponsor = function Sponsor(_ref) {
  var leftHref = _ref.leftHref,
      leftSrc = _ref.leftSrc,
      rightHref = _ref.rightHref,
      children = _ref.children;
  return /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnImageCardRightContentOuter",
    width: "100%",
    style: styles.imageCardRightContentOuter
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    align: "center",
    valign: "top",
    className: "mcnImageCardRightContentInner",
    style: styles.imageCardRightContentInner
  }, /*#__PURE__*/React__default['default'].createElement(Table, {
    align: "left",
    className: "mcnImageCardRightImageContentContainer",
    width: 200,
    style: styles.imageCardRightContentContainer
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    className: "mcnImageCardRightImageContent",
    align: "center",
    valign: "top",
    style: styles.imageCardRightContent
  }, /*#__PURE__*/React__default['default'].createElement("a", {
    href: leftHref,
    "data-testid": "sponsorHrefTest",
    title: "",
    className: "",
    target: "_blank",
    style: styles.title
  }, /*#__PURE__*/React__default['default'].createElement("img", {
    alt: "",
    src: leftSrc,
    width: 150,
    "data-testid": "sponsorSrcTest",
    style: styles.image,
    className: "mcnImage"
  })))))), /*#__PURE__*/React__default['default'].createElement(Table, {
    className: "mcnImageCardRightTextContentContainer",
    align: "right",
    width: 346,
    style: styles.imageCardRightContentContainer
  }, /*#__PURE__*/React__default['default'].createElement("tbody", null, /*#__PURE__*/React__default['default'].createElement("tr", null, /*#__PURE__*/React__default['default'].createElement("td", {
    valign: "top",
    className: "mcnTextContent",
    style: styles.textContent
  }, /*#__PURE__*/React__default['default'].createElement("h1", {
    className: "mc-toc-title",
    style: styles.docTitle
  }, /*#__PURE__*/React__default['default'].createElement("br", null), /*#__PURE__*/React__default['default'].createElement("a", {
    href: rightHref,
    style: styles.link
  }, /*#__PURE__*/React__default['default'].createElement("strong", {
    "data-testid": "sponsorChildrenTest"
  }, children)))))))))));
};

exports.Content = Content;
exports.CtaList = CtaList;
exports.Divider = Divider;
exports.EmptySection = EmptySection;
exports.GetPublished = GetPublished;
exports.Headline = HeadLine;
exports.JoinUs = JoinUs;
exports.Logo = Logo;
exports.PreviewText = PreviewText;
exports.Section = Section;
exports.Sponsor = Sponsor;
exports.Table = Table;
